%define	name 	java_binfmt
%define	version	1.0.2
%define release 10mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java Binary Kernel Support for Linux
License: 	GPL
Group: 		Development/Java
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.service.script.bz2
Source2:	%{name}.jarexec.bz2
PreReq:		rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
With this package, you can directly execute Java applications and
applets. Both java and appletviewer must be in your PATH, and the
binfmt_misc kernel module must be loaded.

%prep
%setup
bzcat %{SOURCE1} > %{name}
bzcat %{SOURCE2} > jarexec

%build
gcc $RPM_OPT_FLAGS -o javaclassname javaclassname.c

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_initrddir}
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 javaclassname %{buildroot}%{_bindir}
install -m 755 javawrapper %{buildroot}%{_bindir}
install -m 755 jarexec %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_initrddir}

%clean
rm -rf %{buildroot}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%doc java.txt
%config(noreplace) %{_initrddir}/%{name}
%{_bindir}/*

%changelog
* Thu Jul 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-10mdk 
- better description (Adam Williamson <awilliamson@mandriva.com>)

* Thu Jul 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-9mdk 
- spec cleanup

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.0.2-8mdk 
- rebuild

* Sat Feb 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.0.2-7mdk
- more macros

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-6mdk
- prereq rpm-helper (really)

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-5mdk
- prereq rpm-helper

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-4mdk
- rebuild
- new rpm macros

* Mon Apr 22 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-3mdk
- fixed initscript (Michael Locher <locher@iam.unibe.ch>)
- added jar support (Michael Locher <locher@iam.unibe.ch>)

* Mon Apr 22 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-2mdk
- mdk optimisations
- s/Copyright/License/
- service script

* Sat Mar 17 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.2-1mdk
- first Mandrake release
